/*
 * $Id: XML_indent.cpp 94 2008-12-15 11:04:03Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/XML.h"
#include "Common/include/Tabulation.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "XML::indent"
  std::string XML::indent (uint32_t depth)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    std::string _return = tab(depth);
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };

  std::string XML::indent (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    std::string _return = indent(depth());
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
